Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Class CurrentHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.CurrentHelper

public class CurrentHelper
extends java.lang.Object

Helper class for : Current

Author:
  OpenORB Compiler

Constructor Summary
`CurrentHelper()`

Method Summary
`static Current` | `extract(Any a)` Extract Current from an any
`static java.lang.String` | `id()` Return the Current IDL ID
`static void` | `insert(Any a, Current t)` Insert Current into an any
`static Current` | `narrow(Object obj)` Narrow CORBA::Object to Current
`static Current` | `read(InputStream istream)` Read Current from a marshalled stream
`static TypeCode` | `type()` Return the Current TypeCode
`static Current` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to Current
`static void` | `write(OutputStream ostream, Current value)` Write Current into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentHelper

    public CurrentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Current t)

  Insert Current into an any
  Parameters:
    `a` - an any
    `t` - Current value

### extract

    public static Current extract(Any a)

  Extract Current from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Current value

### type

    public static TypeCode type()

  Return the Current TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Current IDL ID
  Returns:
    an ID

### read

    public static Current read(InputStream istream)

  Read Current from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Current value

### write

    public static void write(OutputStream ostream,
                             Current value)

  Write Current into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Current value

### narrow

    public static Current narrow(Object obj)

  Narrow CORBA::Object to Current
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Current Object

### unchecked_narrow

    public static Current unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to Current
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Current Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD